[FFE] add pc-1.0-precise machine type

Bug #1374612 reported by Serge Hallyn on 2014-09-26
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
qemu (Ubuntu)
High
Unassigned
Precise
High
Unassigned
Trusty
High
Unassigned

Bug Description

=====================================
Impact: qemu VMs cannot be migrated from 12.04->14.04 hosts
Test Case: XXX NOTE XXX This requires the fix for bug 1374617 as well.
 migrate a vm from p->t host, using disk on a NFS share. On the 14.04 host, use
 kvm -M pc-1.0-precise [...] -incoming tcp:0.0.0.0:5555
and on the 12.04 host use
 kvm -M pc-1.0 [...] -monitor stdio
then on the monitor type
 migrate tcp:0.0.0.0:5555

Regression Potential: This introduces a new machine type. In precise it will make the new machine type the default, but it is identical to the old default. In Trusty it is not the default.
=====================================

Bug 1291321 shows that qemu VMs cannot be migrated from a host running 12.04 to a host running 14.04.

https://wiki.ubuntu.com/QemuPTMigration explains the proposed solution. As a part of this, we need to define the pc-1.0-precise machine type which can accept incoming migrations from pc-1.0 machines from a precise host.

Since this machine type requires the old precise pxe-virtio rom, this bug is blocked on the FFE for the new ipxe-precise package, bug 1374617.

description: updated
Changed in qemu (Ubuntu):
importance: Undecided → High
Changed in qemu (Ubuntu Precise):
importance: Undecided → High
Changed in qemu (Ubuntu Trusty):
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in qemu (Ubuntu Precise):
status: New → Confirmed
Changed in qemu (Ubuntu Trusty):
status: New → Confirmed
Changed in qemu (Ubuntu):
status: New → Confirmed
Serge Hallyn (serge-hallyn) wrote :

upgrade log:

ubuntu@migrate-u:~$ sudo apt-get install qemu-system-x86
Reading package lists... Done
Building dependency tree
Reading state information... Done
Suggested packages:
  samba vde2 sgabios ovmf
The following packages will be upgraded:
  qemu-system-x86
1 upgraded, 0 newly installed, 0 to remove and 62 not upgraded.
Need to get 2,033 kB of archives.
After this operation, 22.5 kB of additional disk space will be used.
Get:1 http://ppa.launchpad.net/serge-hallyn/qemu-migration2/ubuntu/ utopic/main qemu-system-x86 amd64 2.1+dfsg-4ubuntu5~migration3 [2,033 kB]
Fetched 2,033 kB in 0s (47.3 MB/s)
(Reading database ... 51987 files and directories currently installed.)
Preparing to unpack .../qemu-system-x86_2.1+dfsg-4ubuntu5~migration3_amd64.deb ...
Unpacking qemu-system-x86 (2.1+dfsg-4ubuntu5~migration3) over (2.1+dfsg-4ubuntu4) ...
Processing triggers for ureadahead (0.100.0-16) ...
Processing triggers for man-db (2.6.7.1-1) ...

Serge Hallyn (serge-hallyn) wrote :

We've discussed this in #ubuntu-release and decided to not support the pc-1.0-precise machine type after 14.04. Therefore the utopic (FFE) bug is wontfix, and we will only seek SRU for 14.04.

Changed in qemu (Ubuntu):
status: Confirmed → Won't Fix

Hello Serge, or anyone else affected,

Accepted qemu into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/qemu/2.0.0+dfsg-2ubuntu1.6 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in qemu (Ubuntu Trusty):
status: Confirmed → Fix Committed
tags: added: verification-needed
Chris J Arges (arges) wrote :

Hello Serge, or anyone else affected,

Accepted qemu-kvm into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/qemu-kvm/1.0+noroms-0ubuntu14.18 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

description: updated
description: updated
Serge Hallyn (serge-hallyn) wrote :

Using the ipxe-precise package from ppa:serge-hallyn/qemu-migration2, migration from 12.04->14.04 (using -proposed for both) succeeded. I also ran a full test-qemu.py from lp:qa-regressoin-testing with no errors.

tags: added: verification-done
removed: verification-needed

The verification of the Stable Release Update for qemu-kvm has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qemu - 2.0.0+dfsg-2ubuntu1.6

---------------
qemu (2.0.0+dfsg-2ubuntu1.6) trusty-proposed; urgency=medium

  * Support incoming migration from 12.04 (LP: #1374612)
    - d/p/ubutu/add-machine-type-pc-1.0-qemu-kvm-for-live-migrate-co.patch
    - add note in README.Debian
    - d/control: have qemu-system-x86 suggest kvm-ipxe-precise
 -- Serge Hallyn <email address hidden> Mon, 06 Oct 2014 17:47:08 -0500

Changed in qemu (Ubuntu Trusty):
status: Fix Committed → Fix Released
Adam Conrad (adconrad) on 2014-10-21
Changed in qemu (Ubuntu Precise):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers